# -*- coding: utf-8 -*-
from setuphelpers import *
import json


def update_package():
    # Initializing variables
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    app_name = control.name
    url_api = "http://omahaproxy.appspot.com/all.json?os=win64&channel=stable"

    # Getting latest informations from GitHub API
    json_load = json.loads(wgets(url_api, proxies=proxies))
    version = json_load[0]["versions"][0]["version"]

    latest_bin_deb = "google-chrome-stable-%s_amd64.deb" % version

    url_dl_deb = "https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb"

    print("Latest " + app_name + " version is: " + version)
    print("Download url for Debian is: " + url_dl_deb)

    # Downloading latest binaries
    if not isfile(latest_bin_deb):
        print("Downloading: " + latest_bin_deb)
        wget(url_dl_deb, latest_bin_deb, proxies=proxies)

    # Changing version of the package
    if control.get_software_version() != version:
        print("Changing package version to: %s in WAPT\\control" % control.version)
    else:
        print("Keeping package version to: %s in WAPT\\control" % control.version)
    control.version = "%s-%s" % (version, control.version.split("-", 1)[-1])
    control.save_control_to_wapt()

    # Deleting outdated binaries
    remove_outdated_binaries(version)
